declare @objectID int;
select @objectID = object_id from sys.triggers where parent_id = object_id(N'dbo.Connections') and name= N'ConnectionsTrigger';
declare @createOrAlter nvarchar(6);
set @createOrAlter = case when @objectID is null then N'create' else N'alter' end;
exec (@createOrAlter + N' trigger dbo.ConnectionsTrigger
on dbo.Connections after insert, update, delete
as 
begin
    update dbo.DatabaseInfo set ConnectionCacheID = newid()
end;');